Skip to main content
`Ctrl`+`K`

# PetscDAEnsembleComputeMean

Computes ensemble mean for a `PetscDA`

## Synopsis

    PetscErrorCode PetscDAEnsembleComputeMean(PetscDA da, Vec mean)

Collective

## Input Parameter

- da - the `PetscDA` context

## Output Parameter

- mean - vector that will hold the ensemble mean

## See Also

PetscDA: Data Assimilation, `PetscDA`, `PETSCDAETKF`, `PETSCDALETKF`, `PetscDAEnsembleComputeAnomalies()`

## Level

intermediate

## Location

src/ml/da/impls/ensemble/daensemble.c

## Examples

src/ml/da/tutorials/ex2.c
src/ml/da/tutorials/ex3.c
src/ml/da/tutorials/ex1.c
src/ml/da/tutorials/ex4.c

Index of all PetscDA routines
Table of Contents for all manual pages
Index of all manual pages